SELECT
    CONVERT(nvarchar, p.[Date], 101) AS [Date]
    , CASE WHEN p.[Sum] < 0 THEN '<span class="neg">' ELSE '<span class="pos">' END + CONVERT(nvarchar, p.[Sum], 1) + '</span>' AS [Sum]
    , p.AccountName AS [Account]
    , p.CompanyName AS [Company]
    , p.ItemName AS [Item]
    , p.Comment
FROM
    Payments p
WHERE
    COALESCE(p.Comment, '') <> 'Opening Balance'
ORDER BY
    p.[Date] ASC
    , p.[Sum] DESC
        